Distribution Specific instructions

From nsnam
Jump to: navigation, search

Installing ns-allinone-2.34 on Ubuntu 8.04 LTS (Hardy Heron)

Before installing ns-allinone-2.34, install the xorg-dev package. This can be done with the following command:

sudo apt-get install xorg-dev

Installing ns-allinone-2.30 on Ubuntu 6.06 LTS (Dapper Drake)

Before installing ns-allinone-2.30, these packages and their dependencies need to be installed: autoconf, automake, g++, libxmu-dev and make. This can be done with the following command:

sudo apt-get install autoconf automake g++ libxmu-dev make

Note: if you want to install the latest version of automake, type automake1.9 in the command above, instead of just automake.

Installing ns-allinone-2.30 on Ubuntu 6.10 (Edgy Eft)

Before installing ns-allinone-2.30, these packages and their dependencies need to be installed: autoconf, automake, g++ and libxmu-dev. This can be done with the following command:

sudo apt-get install autoconf automake g++ libxmu-dev

Note 1: if you want to install the latest version of automake, type automake1.9 in the command above, instead of just automake.

Note 2: some of the RED validation tests may fail.

Installing ns-allinone-2.30 on Fedora Core 6 (Zod)

ns-allinone-2.30 installs without problems on standard Fedora Core 6 desktop.